
const byte beep0 = 0;
const byte beep1 = 1;
const byte fuel = 2;
const byte led = 3;

bool trigger = false;
float triggerTime = 0;

void setup() {                
  // initialize the digital pin as an output.
  pinMode(beep0, OUTPUT);
  pinMode(beep1, OUTPUT);  
  pinMode(fuel, OUTPUT);
  pinMode(led, OUTPUT);
  
  digitalWrite(beep0,LOW);
  digitalWrite(beep1,LOW);
  digitalWrite(fuel,HIGH);
  digitalWrite(led,HIGH);
  
  //Startup Delay for engine
  delay(15000);
  digitalWrite(led,LOW);
}

void loop() {

  if(digitalRead(fuel) == HIGH && trigger == false)
  {
    trigger = true;
    triggerTime = millis() + 30000;
    digitalWrite(led,HIGH);
    
    while(millis() <= triggerTime)
    {
      for (byte x = 250 ; x > 70 ; x--)
      {
        for (byte y = 0 ; y < 3 ; y++)
        {
          digitalWrite(beep0, HIGH);
          digitalWrite(beep1, LOW);
          delayMicroseconds(x);
    
          digitalWrite(beep0, LOW);
          digitalWrite(beep1, HIGH);
          delayMicroseconds(x);
        }
      }
      
      digitalWrite(led, !digitalRead(led));
    }
  }
}
